---
import { Picture } from "astro:assets";
import Layout from "@layouts/Layout.astro";

import debianLogo from "ubports-astro-components/img/installer/deb.svg";
import ubuntuOnPhoneLogo from "ubports-astro-components/img/distro/ubuntu-on-phone.svg";
import ubuntuUnityLogo from "ubports-astro-components/img/distro/ubuntu-unity.svg";
import postmarketosLogo from "ubports-astro-components/img/distro/postmarketos.svg";
import alpineLinuxLogo from "ubports-astro-components/img/distro/alpine-linux.svg";
import nixOsLogo from "ubports-astro-components/img/distro/nix-os.svg";

import yumiLogoImg from "ubports-astro-components/img/services/yumi.svg";
import telegramLogoImg from "ubports-astro-components/img/services/telegram.svg";
import gitlabLogoImg from "ubports-astro-components/img/services/gitlab.svg";

import lockscreenScreen from "@assets/img/screenshots/lockscreen.jpeg";
import dashScreen from "@assets/img/screenshots/dash.jpeg";
import appsIndicatorsScreen from "@assets/img/screenshots/apps-indicators.jpeg";
import multitaskScreen from "@assets/img/screenshots/multitask.jpeg";

import homeHero from "@assets/img/warty-final-ubuntu.jpg";
import launcherImg from "@assets/img/launcher.png";

const imgRows = [
  [
    { img: lockscreenScreen, alt: "Lockscreen screenshot" },
    { img: appsIndicatorsScreen, alt: "Indicators and apps" },
    { img: dashScreen, alt: "Simply dashing" },
    { img: multitaskScreen, alt: "3d multitasking view" },
    { img: dashScreen, alt: "Simply dashing" },
    { img: lockscreenScreen, alt: "Lockscreen screenshot" },
    { img: multitaskScreen, alt: "3d multitasking view" },
    { img: appsIndicatorsScreen, alt: "Indicators and apps" }
  ],
  [
    { img: appsIndicatorsScreen, alt: "Indicators and apps" },
    { img: dashScreen, alt: "Simply dashing" },
    { img: multitaskScreen, alt: "3d multitasking view" },
    { img: lockscreenScreen, alt: "Lockscreen screenshot" },
    { img: dashScreen, alt: "Simply dashing" },
    { img: lockscreenScreen, alt: "Lockscreen screenshot" },
    { img: appsIndicatorsScreen, alt: "Indicators and apps" },
    { img: multitaskScreen, alt: "3d multitasking view" }
  ]
];

const pageMeta = {
  title:
    "Lomiri • Shapeshifting environment for phones, tablets, laptops and desktops",
  meta: [
    {
      name: "keywords",
      content:
        "Linux desktop, Desktop experience, Linux mobile, Convergence environment"
    },
    {
      name: "description",
      content:
        "Lomiri is the open source mobile and desktop environment that adapts to you computing needs. Supported on all kinds devices, with installation images"
    },
    {
      property: "og:url",
      content: "https://lomiri.com"
    },
    {
      property: "og:title",
      content: "Lomiri • Shapeshifting Environment"
    },
    {
      property: "og:description",
      content:
        "Lomiri is the open source mobile and desktop environment that adapts to you computing needs. Supported on all kinds devices, with installation images"
    }
  ]
};
---

<Layout pageMeta={pageMeta}>
  <main>
    <!-- Hero -->
    <div class="home-hero" id="homeHero">
      <div class="container">
        <!-- Img -->
        <div class="home-hero__img">
          <Picture
            src={homeHero}
            pictureAttributes={{ class: "bg-img" }}
            inferSize
            formats={["avif"]}
            loading="eager"
            decoding="auto"
            alt=""
          />
          <Picture
            src={launcherImg}
            pictureAttributes={{ class: "launcher-img" }}
            inferSize
            formats={["avif"]}
            loading="eager"
            decoding="auto"
            alt=""
          />
        </div>
        <!-- Text -->
        <div class="home-hero__text">
          <h1 class="h2 text-center text-light mb-5">
            One operating environment, for all your devices.
          </h1>
          <div class="text-center">
            <a href="#install-lomiri" class="btn btn-secondary me-3"
              >Get Lomiri</a
            >
            <a href="#contribute" class="btn btn-light">Contribute</a>
          </div>
        </div>
      </div>
    </div>
    <div class="container">
      <ul class="home-features d-grid py-5">
        <li>
          <h2 class="h3">Convergent</h2>
          <hr />
          <p>
            The same codebase and interoperability on phones, tablets, laptops
            and desktops.
          </p>
        </li>
        <li>
          <h2 class="h3">Lightweight</h2>
          <hr />
          <p>
            Lomiri also brings new life to devices thought to have no more life
            left.
          </p>
        </li>
        <li>
          <h2 class="h3">Stable</h2>
          <hr />
          <p>Refined over the years, in the Qt framework.</p>
        </li>
        <li>
          <h2 class="h3">Next-gen</h2>
          <hr />
          <p>Built for Mir and Wayland compositors for speed and security.</p>
        </li>
      </ul>

      <h2 id="install-lomiri" class="pb-2">Install Lomiri</h2>
      <p class="pt-2 pb-4">
        Not yet completely functional on desktops and laptops. Preview images
        are available to provide feedback in time for the full release.
      </p>

      <div class="os-choice d-flex">
        <toggle-button
          class="d-flex px-4 selected ubuntu-lomiri"
          data-target=".os-choice>.selected .os-choice>.ubuntu-lomiri .os-install>ol:not(.d-none) .os-install>.ubuntu-lomiri"
          data-action="remove add add remove"
          data-tgclass="selected selected d-none d-none"
        >
          <img src={ubuntuUnityLogo.src} class="d-block dark-invert" alt="" />
          <div>
            <h5 class="bold">Ubuntu&nbsp;Lomiri</h5>
            <p>Preview ISO</p>
          </div>
        </toggle-button>
        <toggle-button
          class="d-flex px-4 ubuntu-touch"
          data-target=".os-choice>.selected .os-choice>.ubuntu-touch .os-install>ol:not(.d-none) .os-install>.ubuntu-touch"
          data-action="remove add add remove"
          data-tgclass="selected selected d-none d-none"
        >
          <img src={ubuntuOnPhoneLogo.src} class="d-block dark-invert" alt="" />
          <div>
            <h5 class="bold">Ubuntu&nbsp;Touch</h5>
            <p>The mobile shell</p>
          </div>
        </toggle-button>
        <toggle-button
          class="d-flex px-4 postmarketos"
          data-target=".os-choice>.selected .os-choice>.postmarketos .os-install>ol:not(.d-none) .os-install>.postmarketos"
          data-action="remove add add remove"
          data-tgclass="selected selected d-none d-none"
        >
          <img src={postmarketosLogo.src} class="d-block dark-invert" alt="" />
          <div>
            <h5 class="bold">Postmarket&nbsp;OS</h5>
          </div>
        </toggle-button>
        <toggle-button
          class="d-flex px-4 debian"
          data-target=".os-choice>.selected .os-choice>.debian .os-install>ol:not(.d-none) .os-install>.debian"
          data-action="remove add add remove"
          data-tgclass="selected selected d-none d-none"
        >
          <img src={debianLogo.src} class="d-block dark-invert" alt="" />
          <div>
            <h5 class="bold">Debian</h5>
          </div>
        </toggle-button>
        <toggle-button
          class="d-flex px-4 alpine"
          data-target=".os-choice>.selected .os-choice>.alpine .os-install>ol:not(.d-none) .os-install>.alpine"
          data-action="remove add add remove"
          data-tgclass="selected selected d-none d-none"
        >
          <img src={alpineLinuxLogo.src} class="d-block dark-invert" alt="" />
          <div>
            <h5 class="bold">Alpine</h5>
          </div>
        </toggle-button>
        <toggle-button
          class="d-flex px-4 nixos"
          data-target=".os-choice>.selected .os-choice>.nixos .os-install>ol:not(.d-none) .os-install>.nixos"
          data-action="remove add add remove"
          data-tgclass="selected selected d-none d-none"
        >
          <img src={nixOsLogo.src} class="d-block dark-invert" alt="" />
          <div>
            <h5 class="bold">NixOS</h5>
          </div>
        </toggle-button>
      </div>

      <div class="os-install">
        <ol class="ubuntu-lomiri selected">
          <li class="h4 ms-5 ps-3 py-3">Download the ISO</li>
          <p>
            Download the latest ISO for Ubuntu Lomiri on the <a
              href="https://ubuntuunity.org/"
              class="link">Ubuntu Unity website</a
            >.
          </p>
          <li class="h4 ms-5 ps-3 pb-3 pt-4">
            Boot it from a USB drive or a DVD-DL
          </li>
          <p>
            Use Rufus, Gnome Disks or any other flashing utility to write the
            image to a pendrive or a double layer DVD. Insert the DVD in the
            device you want to install Ubuntu Lomiri on.
          </p>
          <li class="h4 ms-5 ps-3 pb-3 pt-4">Install Lomiri</li>
          <p>
            Launch the installer and follow on-screen instructions. Testing
            images can be installed in a virtual machine or on a separate
            partition, we discourage installing Ubuntu Lomiri as your main and
            only operating system currently.
          </p>
        </ol>
        <ol class="ubuntu-touch d-none">
          <li class="h4 ms-5 ps-3 py-3">Get a supported device</li>
          <p>
            Choose the device that suits you the best from the list on the <a
              href="https://devices.ubuntu-touch.io/"
              class="link">Ubuntu Touch devices website</a
            >.
          </p>
          <li class="h4 ms-5 ps-3 pb-3 pt-4">Check requirements on the page</li>
          <p>
            Before installing check requirements about specific Android version
            or firmware your device must have before proceeding and flash the
            appropriate version if that is not the case.
          </p>
          <li class="h4 ms-5 ps-3 pb-3 pt-4">
            Install using the UBports installer
          </li>
          <p>
            The UBports installer is the simplest way to install Ubuntu Touch on
            a device. Download it from your device page and let it do the work
            for you.
          </p>
        </ol>
        <ol class="postmarketos d-none">
          <li class="h4 ms-5 ps-3 py-3">Get a supported device</li>
          <p>
            Check the <a
              href="https://wiki.postmarketos.org/wiki/Devices"
              class="link"
              >Postmarket OS device list
            </a> for compatible devices.
          </p>
          <li class="h4 ms-5 ps-3 py-3">Use pmbootstrap to install Lomiri</li>
          <p>
            Run <code>pmbootstrap init</code> and choose Lomiri in the UI selection
            step.
          </p><p>
            More resources and installation guide are available on <a
              href="https://wiki.postmarketos.org/wiki/Lomiri"
              class="link">the Postmarket OS wiki</a
            >.
          </p>
        </ol>
        <ol class="debian d-none">
          <p>
            No installation instructions yet, packages available at: <a
              href="https://packages.debian.org/sid/lomiri"
              class="link">packages.debian.org</a
            >
          </p>
        </ol>
        <ol class="alpine d-none">
          <p>
            No installation instructions yet, packages available at: <a
              href="https://pkgs.alpinelinux.org/package/edge/testing/x86_64/lomiri"
              class="link">pkgs.alpinelinux.org</a
            >
          </p>
        </ol>
        <ol class="nixos d-none">
          <li class="h4 ms-5 ps-3 py-3">Edit system configuration file</li>
          <p>
            Add the following lines to the system configuration file <code
              >/etc/nixos/configuration.nix</code
            >:
          </p>
          <code class="code px-4 mt-3 mb-3">
            <span class="d-block"
              >services.desktopManager.lomiri.enable = true;</span
            >
            <span class="d-block"
              >services.displayManager.defaultSession = "lomiri";</span
            >
          </code>
          <li class="h4 ms-5 ps-3 py-3">Apply changes</li>
          <p>
            Build the new configuration and make it the default with <code
              >sudo nixos-rebuild switch</code
            >.
          </p><p>
            More resources and installation guide are available on <a
              href="https://wiki.nixos.org/wiki/Lomiri"
              class="link">the NixOS wiki</a
            >.
          </p>
        </ol>
      </div>

      <h3 id="contribute" class="contribute-lomiri h3 text-center">
        Contribute on:
        <a
          href="https://t.me/UBports_Lomiri"
          class="ps-3"
          target="_blank"
          rel="noreferrer noopener"
        >
          <img
            src={telegramLogoImg.src}
            alt="ext-link-icon"
            class="dark-invert-40 ext-link-icon d-inline"
          />
        </a>
        <a
          href="https://gitlab.com/ubports/development/core/lomiri"
          class="ps-2"
          target="_blank"
          rel="noreferrer noopener"
        >
          <img
            src={gitlabLogoImg.src}
            alt="ext-link-icon"
            class="dark-invert-40 ext-link-icon d-inline"
          />
        </a>
        <a
          href="https://ubports.com/get-involved"
          class="ps-2"
          target="_blank"
          rel="noreferrer noopener"
        >
          <img
            src={yumiLogoImg.src}
            alt="ext-link-icon"
            class="dark-invert-40 ext-link-icon d-inline"
          />
        </a>
      </h3>

      <Picture
        src={appsIndicatorsScreen}
        pictureAttributes={{ class: "d-block d-md-none mb-4" }}
        class="h-auto"
        inferSize
        formats={["avif"]}
        alt="Indicators and apps"
      />
    </div>

    {
      imgRows.map((row, ridx) => (
        <div
          class:list={[
            "screen-gallery d-md-flex d-none",
            "gallery-row-" + (ridx + 1)
          ]}
        >
          {row.map((img) => (
            <Picture src={img.img} inferSize formats={["avif"]} alt={img.alt} />
          ))}
        </div>
      ))
    }
  </main>
</Layout>
